
source("bayesTest.R")

runAllTests <- function(fname) {
  exp1 <- read.csv(fname,header = FALSE)  # raw frequencies
  names(exp1) <- c("R1","R2","R3")
  n <- dim(exp1)[1] # number of triads
  exp1$bayesMode <- NA
  exp1$bayesGOF <- NA
  for( i in 1:n ) { # across all triads
    if(i %% 20 == 0) cat(".")
    r <- c(exp1$R1[i], exp1$R2[i], exp1$R3[i]) # responses
    exp1$bayesMode[i] <- BayesianModeTest( k=max(r), n=sum(r) ) # test of suspiciously high mode
    exp1$bayesGOF[i] <- BayesianGOFTest( x=r ) # test null hypothesis of "all chance"
  }
  cat("*")
  return(exp1)
}

exp1 <- runAllTests("exp1_freq.csv")
exp2 <- runAllTests("exp2_freq.csv")
exp3 <- runAllTests("exp3_freq.csv")
exp4 <- runAllTests("exp4_freq.csv")
save(exp1,exp2,exp3,exp4,file="allBayesFactors.Rdata")